/*
 * Created on 10.05.2006 for PIROL
 *
 * SVN header information:
 *  $Author: LBST-PF-3\orahn $
 *  $Rev: 2446 $
 *  $Date: 2006-09-12 14:57:25 +0200 (Di, 12 Sep 2006) $
 *  $Id: LineWithData.java 2446 2006-09-12 12:57:25Z LBST-PF-3\orahn $
 */
package de.fhOsnabrueck.jump.pirol.utilities.graph;

import de.fhOsnabrueck.jump.pirol.utilities.attributes.AttributeInfo;

/**
 * A line type that contains a data value.
 *
 * @author Ole Rahn
 * <br>
 * <br>FH Osnabr&uuml;ck - University of Applied Sciences Osnabr&uuml;ck,
 * <br>Project: PIROL (2006),
 * <br>Subproject: Daten- und Wissensmanagement
 * 
 * @version $Rev: 2446 $
 * 
 */
public class LineWithData extends PirolEdge {
    
    protected AttributeInfo attributeInfo = null;
    protected Object value = null;

    /**
     *@param anfang
     *@param ende
     *@param anfangUnbegrenzt
     *@param endeUnbegrenzt
     */
    public LineWithData(PirolPoint anfang, PirolPoint ende, boolean anfangUnbegrenzt,
            boolean endeUnbegrenzt) {
        super(anfang, ende, anfangUnbegrenzt, endeUnbegrenzt);
    }

    /**
     *@param anfang
     *@param ende
     */
    public LineWithData(PirolPoint anfang, PirolPoint ende) {
        super(anfang, ende);
    }

    /**
     *@param anfang
     *@param steigung
     *@param laenge
     */
    public LineWithData(PirolPoint anfang, double steigung, double laenge) {
        super(anfang, steigung, laenge);
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public AttributeInfo getAttributeInfo() {
        return attributeInfo;
    }

    public void setAttributeInfo(AttributeInfo attributeInfo) {
        this.attributeInfo = attributeInfo;
    }

    
}
